Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class VMConfigSpec

    java.lang.Object
      org.ow2.jasmine.vmm.api.VMConfigSpec

All Implemented Interfaces:
  java.io.Serializable

    public class VMConfigSpec

extends java.lang.Object
implements java.io.Serializable

The `VMConfigSpec` class is a helper class used to describe the configuration of a virtual machine to be created

See Also:
  Serialized Form

Constructor Summary
`VMConfigSpec()` Constructs a `VMConfigSpec` object
`VMConfigSpec(java.lang.String name, long memorySizeMB, int numVCPU, int diskSizeMB, java.lang.String vmImageUUID)` Constructs a `VMConfigSpec` object
`VMConfigSpec(VMConfigSpec other)` Constructs a `VMConfigSpec` object as a copy of the argument

Method Summary
`void` | `addGuestOsCustomizationParam(java.lang.String paramName, java.lang.String paramValue)` Adds a guest-OS specific customization parameters
`void` | `addVnicIpSettings(VnicIPSettings ipSettings)` Adds an IP settings associated with a NIC attached to the VM
`int` | `getDiskSizeMB()` Returns the disk size in MBytes of the virtual machine configuration
`java.util.Map<java.lang.String,java.lang.String>` | `getGuestOsCustomizationParams()` Returns the guest OS specific customization parameters
`java.util.List<java.lang.String>` | `getGuestOsDnsServerList()` Returns the list of DNS servers to be used by the guest OS
`java.lang.String` | `getGuestOsDomain()` Returns the guest OS DNS domain
`java.lang.String` | `getGuestOsHostName()` Returns the non-qualified hostname of the guest OS
`long` | `getMemorySizeMB()` Returns the memory size of the virtual machine in MBytes
`java.lang.String` | `getName()` Returns the name of virtual machine
`int` | `getNumVCPU()` Returns the number of virtual CPUs of the virtual machine configuration
`java.lang.String` | `getVmImageUUID()` Returns the image ID of the virtual machine configuration
`java.util.List<VnicIPSettings>` | `getVnicIpSettingsList()` Returns the IP settings of each NIC attached to the VM
`void` | `setDiskSizeMB(int diskSizeMB)` Sets the disk size in MBytes
`void` | `setGuestOsCustomizationParams(java.util.Map<java.lang.String,java.lang.String> guestCustomizationParams)` Sets guest-OS specific customization parameters
`void` | `setGuestOsDnsServerList(java.util.List<java.lang.String> dnsServerList)` Sets the list of DNS servers to be used by the guest OS
`void` | `setGuestOsDomain(java.lang.String domain)` Sets the DNS domain the guest OS belongs to
`void` | `setGuestOsHostName(java.lang.String hostName)` Sets the non-qualified hostname of the guest OS
`void` | `setMemorySizeMB(long memorySizeMB)` Sets the memory size of the virtual machine configuration in MBytes
`void` | `setName(java.lang.String name)` Sets the name of the virtual machine
`void` | `setNumVCPU(int numVCPU)` Sets the number of virtual CPUs
`void` | `setVmImageUUID(java.lang.String diskImageID)` Sets the image ID of the virtual machine
`void` | `setVnicIpSettingsList(java.util.List<VnicIPSettings> ipSettingsList)` Sets the VNIC IP settings of the VNIC(s) attached to this VM

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMConfigSpec

    public VMConfigSpec(java.lang.String name,
                        long memorySizeMB,
                        int numVCPU,
                        int diskSizeMB,
                        java.lang.String vmImageUUID)

  Constructs a `VMConfigSpec` object

  Parameters:
    `name` - the name of the virtual machine
    `memorySizeMB` - the initial memory allocation in MBytes
    `numVCPU` - the number of virtual CPUs
    `diskSizeMB` - the disk size in MBytes
    `vmImageUUID` - the uuid of the VM image that will be used to create the VM

### VMConfigSpec

    public VMConfigSpec(VMConfigSpec other)

  Constructs a `VMConfigSpec` object as a copy of the argument

  Parameters:
    `other` - original object to copy

### VMConfigSpec

    public VMConfigSpec()

  Constructs a `VMConfigSpec` object

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the virtual machine

  Parameters:
    `name` -

### setMemorySizeMB

    public void setMemorySizeMB(long memorySizeMB)

  Sets the memory size of the virtual machine configuration in MBytes

  Parameters:
    `memorySizeMB` -

### setNumVCPU

    public void setNumVCPU(int numVCPU)

  Sets the number of virtual CPUs

  Parameters:
    `numVCPU` -

### setDiskSizeMB

    public void setDiskSizeMB(int diskSizeMB)

  Sets the disk size in MBytes

  Parameters:
    `diskSizeMB` -

### setVmImageUUID

    public void setVmImageUUID(java.lang.String diskImageID)

  Sets the image ID of the virtual machine

  Parameters:
    `diskImageID` -

### getName

    public java.lang.String getName()

  Returns the name of virtual machine

  Returns:
    name of the virtual machine

### getMemorySizeMB

    public long getMemorySizeMB()

  Returns the memory size of the virtual machine in MBytes

  Returns:

### getNumVCPU

    public int getNumVCPU()

  Returns the number of virtual CPUs of the virtual machine configuration

  Returns:

### getDiskSizeMB

    public int getDiskSizeMB()

  Returns the disk size in MBytes of the virtual machine configuration

  Returns:

### getVmImageUUID

    public java.lang.String getVmImageUUID()

  Returns the image ID of the virtual machine configuration

  Returns:

### setGuestOsDomain

    public void setGuestOsDomain(java.lang.String domain)

  Sets the DNS domain the guest OS belongs to

  Parameters:
    `guestOsDomain` - DNS domain name

### getGuestOsDomain

    public java.lang.String getGuestOsDomain()

  Returns the guest OS DNS domain

  Returns:

### getGuestOsHostName

    public java.lang.String getGuestOsHostName()

  Returns the non-qualified hostname of the guest OS

  Returns:

### setGuestOsHostName

    public void setGuestOsHostName(java.lang.String hostName)

  Sets the non-qualified hostname of the guest OS

  Parameters:
    `guestOsHostName` - non-qualified hostname

### getGuestOsDnsServerList

    public java.util.List<java.lang.String> getGuestOsDnsServerList()

  Returns the list of DNS servers to be used by the guest OS

  Returns:
    list of DNS servers

### setGuestOsDnsServerList

    public void setGuestOsDnsServerList(java.util.List<java.lang.String> dnsServerList)

  Sets the list of DNS servers to be used by the guest OS

  Parameters:
    `guestOsDnsServerList` - list of DNS servers

### addVnicIpSettings

    public void addVnicIpSettings(VnicIPSettings ipSettings)

  Adds an IP settings associated with a NIC attached to the VM

  Parameters:
    `ipSettings` -

### setVnicIpSettingsList

    public void setVnicIpSettingsList(java.util.List<VnicIPSettings> ipSettingsList)

  Sets the VNIC IP settings of the VNIC(s) attached to this VM

  Parameters:
    `ipSettingsList` - the list of VNIC IP settings

### getVnicIpSettingsList

    public java.util.List<VnicIPSettings> getVnicIpSettingsList()

  Returns the IP settings of each NIC attached to the VM

  Returns:
    IP settings of each NIC attached to the VM

### getGuestOsCustomizationParams

    public java.util.Map<java.lang.String,java.lang.String> getGuestOsCustomizationParams()

  Returns the guest OS specific customization parameters

  Returns:
    the customization parameters as a map of (key, value)

### setGuestOsCustomizationParams

    public void setGuestOsCustomizationParams(java.util.Map<java.lang.String,java.lang.String> guestCustomizationParams)

  Sets guest-OS specific customization parameters

  Parameters:
    `guestCustomization` - the list of customization parameters to set

### addGuestOsCustomizationParam

    public void addGuestOsCustomizationParam(java.lang.String paramName,
                                             java.lang.String paramValue)

  Adds a guest-OS specific customization parameters

  Parameters:
    `paramName` - key of the parameter to add
    `paramValue` - value of the parameter to add

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 OW2 Consortium. All Rights Reserved.